Bug 810366 - env var for python cartridge
env var for python cartridge
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ram Ranganathan
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 14:40 EDT by David Blado
Modified: 2015-05-14 21:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:30:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Blado 2012-04-05 14:40:17 EDT
Description of problem:
after activating the virtual environment, I attempted to run the django syncdb script and received:

[Errno 13] Permission denied: '/var/lib/stickshift/e1ff4f1c78894db7833479734fd33bcc/.python-eggs'


The fix is to

export PYTHON_EGG_CACHE=/var/lib/stickshift/e1ff4f1c78894db7833479734fd33bcc/tinsley/virtenv/lib/python2.6/site-packages/


Would it be possible to have PYTHON_EGG_CACHE=$OPENSHIFT_GEAR_DIR/virtenv/lib/python2.6/site-packages by default for python apps?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ram Ranganathan 2012-04-11 14:35:03 EDT
Fixed with git commits 9f102353ec5c8d74e8af8512e0f9fbd9d7a5c448 and 3fe92d29562bb7dea1d2e04060d2909ccb5c0043.

The PYTHON_EGG_CACHE variable is now set to the app's .python-eggs directory.
($OPENSHIFT_GEAR_DIR/.python-eggs/).
Comment 2 Meng Bo 2012-04-12 03:53:43 EDT
checked on devenv-stage_166 with cartridge-python-3.2-0.89.5-1.git.0.1053381.el6_2.noarch,
var PYTHON_EGG_CACHE has value "$OPENSHIFT_GEAR_DIR/.python-eggs/"

Note You need to log in before you can comment on or make changes to this bug.